import request from '@/utils/request'
// 菜单列表
export function GetMenu(data) {
	return request({
		url: '/api/Menu/GetMenu',
		method: 'post',
		data,
	})
}
// 菜单树形结构
export function GetMenuTree(data) {
	return request({
		url: '/api/Menu/GetMenuTree',
		method: 'post',
		data,
	})
}
// 菜单详情
export function GetBillData(data) {
	return request({
		url: '/api/Menu/GetBillData',
		method: 'post',
		data,
	})
}
// 菜单保存
export function MenuSaveData(data) {
	return request({
		url: '/Api/Menu/SaveData',
		method: 'post',
		data,
	})
}
// 菜单删除
export function MenuDelData(data) {
	return request({
		url: '/Api/Menu/DelData',
		method: 'post',
		data,
	})
}

// 收藏菜单列表
export function GetMyCollectionData(data) {
	return request({
		url: '/api/Menu/GetMyCollectionMenuData',
		method: 'post',
		data,
	})
}
// 收藏菜单
export function SaveDelMenuData(data) {
	return request({
		url: '/api/Menu/SaveDelMyCollectionMenuData',
		method: 'post',
		data,
	})
}